<%@ page session="false" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="cms" uri="http://www.opencms.org/taglib/cms" %>
<fmt:setLocale value="${pageContext.response.locale}" />
<fmt:bundle basename="com/levsys/modules/blog/strings">
	<%-- set the default variables --%>
	<c:set var="commentName" value="" />
	<c:set var="commentEmail" value="" />
	<c:set var="commentText" value="" />
	<c:if test="${param.commentName != null}"><c:set var="commentName" value="${param.commentName}" /></c:if>
	<c:if test="${param.commentEmail != null}"><c:set var="commentEmail" value="${param.commentEmail}" /></c:if>
	<c:if test="${param.commentText != null}"><c:set var="commentText" value="${param.commentText}" /></c:if>
	
	<%-- is there a recaptcha for this form --%>
	<c:set var="recaptcha" value="false" />
        <c:set var="thisRecaptcha"><cms:property name="recaptcha.publickey" file="search" /></c:set>
        <c:if test="${not empty thisRecaptcha}"><c:set var="recaptcha" value="true" /></c:if>
	
	<c:if test="${param.commentText != null}">
		<%-- process the comment post --%>
		<c:set var="messagebox"><fmt:message key="blog.comments.leave.thanks" /></c:set>
		<jsp:useBean id="blog" class="com.levsys.modules.blog.Blog"><% 
		blog.init(pageContext, request, response); 
		%></jsp:useBean>
		<%-- set param variables --%>
		<jsp:setProperty name="blog" property="*" />
		<%-- set variables preset in pages/blog-entry.jsp --%>
		<jsp:setProperty name="blog" property="allowAnonymous" value="${allowAnonymous}" />
		<jsp:setProperty name="blog" property="requireNameAndEmail" value="${requireNameAndEmail}" />
		<jsp:setProperty name="blog" property="moderate" value="${moderate}" />
		<jsp:setProperty name="blog" property="moderateEmailAddress" value="${moderateEmailAddress}" />
		<c:choose>
			<c:when test="${param.commentText eq ''}">
				<c:set var="messagebox"><fmt:message key="blog.comments.submit.comment.validation" /></c:set>
			</c:when>
			<c:when test="${recaptcha && (param.recaptcha_challenge_field eq '' || param.recaptcha_response_field eq '')}">
				<c:set var="messagebox"><fmt:message key="blog.comments.submit.recaptcha.validation" /></c:set>
			</c:when>
			<c:when test="${requireNameAndEmail && (param.commentName eq '' || param.commentEmail eq '')}">
				<c:set var="messagebox"><fmt:message key="blog.comments.submit.name.validation" /></c:set>
			</c:when>
			<c:otherwise>
				<c:set var="result" value="${blog.addComment}" />
				<c:choose>
					<c:when test="${result}">
						<%-- reset variables to blank --%>
						<c:set var="commentName" value="" />
						<c:set var="commentEmail" value="" />
						<c:set var="commentText" value="" />
					</c:when>
					<c:otherwise>
						<c:set var="messagebox"><fmt:message key="blog.comments.submit.error" />. <c:out value="${blog.error}" /></c:set>
					</c:otherwise>
				</c:choose>
			</c:otherwise>
		</c:choose>
		<div id="messagebox">
			<p><c:out value="${messagebox}" />.</p>
		</div>
	</c:if>
	
        <!-- comment post form -->
        <div class="comment-post-form">
	        <form action="<cms:link><cms:info property="opencms.request.uri" /></cms:link>#postcomment" method="post" id="comment-post-form">
	            	<fieldset>
	            		<textarea id="commentText" name="commentText" rows="6" cols="40"><c:out value="${commentText}" /></textarea>
	            	</fieldset>
	                <fieldset>
	                    	<label for="commentName"><fmt:message key="blog.comments.yourname" />: <c:if test="${requireNameAndEmail eq 'false'}">(<fmt:message key="blog.comments.optional" />)</c:if></label>
	                    	<input type="text" id="commentName" name="commentName" size="40"<c:if test="${requireNameAndEmail eq 'true'}"> class="required"</c:if> value="<c:out value="${commentName}" />" />
	                </fieldset>
	                <fieldset>
	                    	<label for="commentEmail"><fmt:message key="blog.comments.youremail" />: <c:if test="${requireNameAndEmail eq 'false'}">(<fmt:message key="blog.comments.optional" />)</c:if></label>
	                    	<input type="text" id="commentEmail" name="commentEmail" size="40"<c:if test="${requireNameAndEmail eq 'true'}"> class="required"</c:if> value="<c:out value="${commentEmail}" />" />
	                </fieldset>
	                <c:if test="${recaptcha eq 'true'}"><cms:include file="/system/modules/com.levsys.modules.blog/elements/recaptcha.jsp" /></c:if>
	                <fieldset>
	            		<input type="submit" id="submit-comment" value="<fmt:message key="blog.comments.button.submit" />" />
	            	</fieldset>
	        </form>
        </div>
</fmt:bundle>