<%@ page session="false" %>
<%@ taglib prefix="cms" uri="http://www.opencms.org/taglib/cms" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ls" uri="http://www.levsys.co.uk/jsp/taglib" %>
<fmt:setLocale value="${pageContext.response.locale}" />
<fmt:bundle basename="com/levsys/modules/blog/strings">
	<cms:contentload collector="singleFile" param="%(opencms.uri)" editable="true">
		<cms:contentaccess var="content" scope="page" />
	</cms:contentload>
	
	<c:if test="${not empty param.enableComments && param.enableComments eq 'true'}">
		<%-- set default variables --%>
		<c:set var="currentUri"><cms:info property="opencms.request.uri" /></c:set>
		<c:set var="commentsCount" value="0" />
		
		<%-- if the content contains comments then count how many we have --%>
		<c:if test="${not empty content && content.hasValue['Comment']}">
			<c:set var="comments" value="${content.valueList['Comment']}" />
			<c:set var="commentsCount" value="0" />
			<c:forEach items="${content.valueList['Comment']}" var="comment">
				<c:if test="${comment.hasValue['Approved'] && comment.value['Approved'].stringValue eq 'true'}">
					<c:set var="commentsCount" value="${commentsCount + 1}" />
				</c:if>
			</c:forEach>
		</c:if>
		
		<% pageContext.setAttribute("newLineChar", "\n"); %> 
		
		<%-- output the comments to this page --%>
		<!-- comments for this page: <c:out value="${currentUri}" /> -->
		<div id="comments-frame">
			<a name="comments"></a>
			<div id="comments">
		        	<p class="post-comment"><a href="#postcomment" title="<fmt:message key="blog.comments.leave" />"><fmt:message key="blog.comments.leave" /></a></p>
		        	<h3><fmt:message key="blog.comments" /> <em>(<c:out value="${commentsCount}" />)</em></h3>
		        	
		        	<c:if test="${not empty comments && commentsCount > 0}">
		            		<ul id="discuss">
		                		<c:forEach items="${comments}" var="comment" varStatus="status">
		                    			<c:if test="${comment.hasValue['Approved'] && comment.value['Approved'] eq 'true'}">
			                    			<li id="user-review-<c:out value="${status.count}" />">
			                        			<blockquote>
			                            				<p><c:out value="${fn:replace(comment.value['Comment'], newLineChar, '<br />')}" escapeXml="false" /></p>
			                        			</blockquote>
			                        			<c:choose>
			                            				<c:when test="${comment.hasValue['Anonymous'] && comment.value['Anonymous'] eq 'true'}">
			                                				<c:if test="${comment.hasValue['CommentName']}">
			                                    					<cite>
			                                        					<span class="bold">
			                                        						<c:choose>
			                                        							<c:when test="${comment.hasValue['CommentEmail']}">
				                                        							<ls:encodeMailto title="Email ${comment.value['CommentName']}" text="${comment.value['CommentName']}"><c:out value="${comment.value['CommentEmail']}" /></ls:encodeMailto>
				                                        						</c:when>
				                                        						<c:otherwise>
				                                        							<c:out value="${comment.value['CommentName']}" />
				                                        						</c:otherwise>
			                                        						</c:choose>
			                                        						
			                                        					</span> <fmt:message key="blog.comments.on" /> <fmt:formatDate type="date" pattern="d MMMM yyyy HH:mm" value="${cms:convertDate(comment.value['Date'])}" />
			                                    					</cite>
			                                				</c:if>
			                            				</c:when>
			                            				<c:otherwise>
			                                				<cite>
			                                					<c:set var="username" value="${comment.value['User']}" />
			                                					<c:set var="cmsObject" value="${cms:getCmsObject(pageContext)}" />
			                                					<%
			                                					String username = pageContext.getAttribute("username").toString();
			                                					org.opencms.file.CmsObject cmsObject = (org.opencms.file.CmsObject)pageContext.getAttribute("cmsObject");
			                                					out.println("<!-- " + username + " -->");
			                                					org.opencms.file.CmsUser user = cmsObject.readUser(username);
			                                					pageContext.setAttribute("user", user);
			                                					
			                                					String organisation = (String)user.getAdditionalInfo("organisation");
			                                					if (organisation != null && !organisation.equals("")) {
			                                						pageContext.setAttribute("organisation", organisation);
			                                					}
			                                					%>
			                                    					<span class="bold">
			                                    					    <c:out value="${user.firstname}" /> <c:out value="${user.lastname}" /><c:if test="${not empty user.email}">, <ls:encodeMailto title="Email ${user.firstname} ${user.lastname}"><c:out value="${user.email}" /></ls:encodeMailto></c:if><c:if test="${not empty organisation}">, <c:out value="${organisation}" /></c:if>
			                                    					</span> <fmt:message key="blog.comments.on" /> <fmt:formatDate type="date" pattern="d MMMM yyyy HH:mm" value="${cms:convertDate(comment.value['Date'])}" />
			                                				</cite>
			                            				</c:otherwise>
			                        			</c:choose>
			                    			</li>
		                    			</c:if>
		                		</c:forEach>
		            		</ul>
					<script type="text/javascript">
						// <![CDATA[
						$(document).ready(function() {
							$('#discuss li:first').attr("class", "first");
						});
						// ]]>
					</script>
		        	</c:if>
			</div>
			<%-- only display the post a comment section if we're in the online project --%>
			<c:set var="displayPostComment" value="false" />
			<c:set var="cmsRequestContext" value="${cms:getCmsObject(pageContext).requestContext}" />
			<%
			org.opencms.file.CmsRequestContext req = (org.opencms.file.CmsRequestContext)pageContext.getAttribute("cmsRequestContext");
			if (req.currentProject().isOnlineProject()) {
				pageContext.setAttribute("displayPostComment", Boolean.TRUE);
			}
			%>
			<c:if test="${displayPostComment}">
				<div id="leavecomment">
				    	<%
					// check whether user is logged in
					org.opencms.jsp.CmsJspLoginBean action = new org.opencms.jsp.CmsJspLoginBean(pageContext, request, response);
					pageContext.setAttribute("loggedIn", action.isLoggedIn());
					%>
					<!-- loggedIn: <c:out value="${loggedIn}" /> -->
					<c:choose>
						<c:when test="${not empty allowAnonymous && allowAnonymous}">
							<a name="postcomment"></a>
				    			<h4><fmt:message key="blog.comments.post.title" /></h4>
							<c:choose>
								<c:when test="${loggedIn}">
									<cms:include file="/system/modules/com.levsys.modules.blog/elements/comment-post.jsp">
										<cms:param name="commentName"><cms:user property="firstname" /> <cms:user property="lastname" /></cms:param>
										<cms:param name="commentEmail"><cms:user property="email" /></cms:param>
									</cms:include>
								</c:when>
								<c:otherwise>
									<cms:include file="/system/modules/com.levsys.modules.blog/elements/comment-post.jsp" />
								</c:otherwise>
							</c:choose>
						</c:when>
						<c:otherwise>
							<c:choose>
								<c:when test="${loggedIn}">
									<a name="postcomment"></a>
				    					<h4><fmt:message key="blog.comments.post.title" /></h4>
									<cms:include file="/system/modules/com.levsys.modules.blog/elements/comment-post.jsp">
										<cms:param name="commentName"><cms:user property="firstname" /> <cms:user property="lastname" /></cms:param>
										<cms:param name="commentEmail"><cms:user property="email" /></cms:param>
									</cms:include>
								</c:when>
								<c:otherwise>
									<c:set var="loginForm"><cms:property name="login-form" file="search" /></c:set>
									<c:set var="registerForm"><cms:property name="register-form" file="search" /></c:set>
									<c:if test="${not empty loginForm && not empty registerForm}">
										<a name="postcomment"></a>
				    						<h4><fmt:message key="blog.comments.post.title" /></h4>
										<p><a href="<cms:property name="login-form" file="search" />?requestedResource=<c:out value="${currentUri}" />" title="<fmt:message key="blog.comments.signin" />"><fmt:message key="blog.comments.signin" /></a>
										<a href="<cms:property name="register-form" file="search" />?requestedResource=<c:out value="${currentUri}" />" title="<fmt:message key="blog.comments.register" />"><fmt:message key="blog.comments.register" /></a> 
										<fmt:message key="blog.comments.tocomment" />.</p>
									</c:if>
								</c:otherwise>
							</c:choose>
						</c:otherwise>
					</c:choose>
				</div>
			</c:if>
		</div>
	</c:if>
</fmt:bundle>