<%@ page session="false" %>
<%@ taglib prefix="cms" uri="http://www.opencms.org/taglib/cms" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%--<c:set var="locale" value="${cms:getCmsObject(pageContext).requestContext.locale}" />--%>
<fmt:setLocale value="${pageContext.response.locale}" />
<fmt:bundle basename="com/levsys/modules/blog/strings">
	<c:if test="${not empty start && not empty info && not empty page && not empty pageNavLength}">
		<c:if test="${(info.resultSize > pageSize) && (info.resultIndex % info.pageSize == 0 || info.resultIndex == info.resultSize)}">
			<%-- build a queryString excluding any page params --%>
			<c:set var="queryString" value="" />
			<c:forEach var="parameter" items="${paramValues}">
				<c:if test="${parameter.key ne 'page'}">
			        	<c:forEach var="value" items="${parameter.value}">
			               		<c:set var="queryString" value="${queryString}&${parameter.key}=${value}" />
			            	</c:forEach>
		            	</c:if>
		      	</c:forEach>
			<div class="pagination">
				<p><fmt:message key="blog.pagination.showing" /> <c:out value="${start}" /> <fmt:message key="blog.pagination.to" /> <c:out value="${info.resultIndex}" /> <fmt:message key="blog.pagination.of" /> <c:out value="${info.resultSize}" /></p>
				<p>
					<c:if test="${page > 1 && info.pageCount > pageNavLength}">
						<a href="<cms:link><cms:info property="opencms.request.uri" />?page=1<c:out value="${queryString}" /></cms:link>"><fmt:message key="blog.pagination.first" /></a> 
						<span class="grey">|</span>
					</c:if>
					<c:if test="${page > 1}">
						<a href="<cms:link><cms:info property="opencms.request.uri" />?page=<c:out value="${page - 1}" /><c:out value="${queryString}" /></cms:link>"><fmt:message key="blog.pagination.previous" /></a> 
						<span class="grey">|</span>
					</c:if>
					<c:forEach begin="${info.pageNavStartIndex}" end="${info.pageNavEndIndex}" var="pageNo">
						<c:choose>
							<c:when test="${page == pageNo}">
								<c:out value="${pageNo}" /> 
							</c:when>
							<c:otherwise>
								<a href="<cms:link><cms:info property="opencms.request.uri" />?page=<c:out value="${pageNo}" /><c:out value="${queryString}" /></cms:link>"><c:out value="${pageNo}" /></a> 
							</c:otherwise>
						</c:choose>
					</c:forEach>
					<c:if test="${info.resultIndex != info.resultSize}">
						<span class="grey">|</span>
						<a href="<cms:link><cms:info property="opencms.request.uri" />?page=<c:out value="${page + 1}" /><c:out value="${queryString}" /></cms:link>"><fmt:message key="blog.pagination.next" /></a>
					</c:if>
					<c:if test="${info.resultIndex != info.resultSize && info.pageCount > pageNavLength}">
						<span class="grey">|</span>
						<a href="<cms:link><cms:info property="opencms.request.uri" />?page=<c:out value="${info.pageCount}" /><c:out value="${queryString}" /></cms:link>"><fmt:message key="blog.pagination.last" /></a>
					</c:if>
				</p>
			</div>
		</c:if>
	</c:if>
</fmt:bundle>