<%@ page session="false" %>
<%@ taglib prefix="cms" uri="http://www.opencms.org/taglib/cms" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%--<c:set var="locale" value="${cms:getCmsObject(pageContext).requestContext.locale}" />--%>
<fmt:setLocale value="${pageContext.response.locale}" />
<fmt:bundle basename="com/levsys/modules/blog/strings">
	<jsp:useBean id="tags" class="com.levsys.modules.blog.Tags"><% 
	tags.init(pageContext, request, response); 
	%></jsp:useBean>
	<c:set var="blogEntryType"><cms:property name="blogentry.type" file="search" /></c:set>
	<c:set var="collector" value="allInSubTreeDateReleasedDesc" />
	<c:set var="collectorParam" value="${blogFolder}|${blogEntryType}" />
	<!-- collectorParam: <c:out value="${collectorParam}" /> -->
	<cms:contentload collector="${collector}" param="${collectorParam}" preload="true">
		<cms:contentinfo var="info" />
		<c:choose>
			<c:when test="${info.resultSize > 0}">
				<cms:contentload>
					<cms:contentaccess var="tcontent" scope="page" />
					<c:if test="${tcontent.hasValue['Tag']}">
						<c:forEach items="${tcontent.valueList['Tag']}" var="t">
							<jsp:setProperty name="tags" property="addTag" value="${t.stringValue}" />
						</c:forEach>
					</c:if>
				</cms:contentload>
				<c:set var="tagList" value="${tags.tags}" />
				<c:if test="${fn:length(tagList) > 0}">
					<li>
						<h3><fmt:message key="blog.tags" /></h3>
						<div id="tag-cloud">
							<c:forEach var="t" items="${tagList}">
								<c:set var="turl"><cms:link><c:out value="${blogPage}" /></cms:link></c:set>
								<c:url value="${turl}" var="anchor">
									<c:param name="tag" value="${t}"/>
								</c:url>
								<span><a href="<c:out value="${anchor}" />" title="Tag: <c:out value="${t}" />"><c:out value="${t}" /></a></span>
							</c:forEach>
						</div>
						<div style="clear: both;"></div>
						<cms:jquery dynamic="true" />
						<cms:jquery js="jquery" dynamic="true" />
						<script type="text/javascript">
						// <![CDATA[
						$(document).ready(function() {
							$('#tag-cloud span').css({'float' : 'left', 'padding-right' : '10px'});
						});
						// ]]>
						</script>
					</li>
				</c:if>
			</c:when>
		</c:choose>
	</cms:contentload>
</fmt:bundle>