<%@ page session="false" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="cms" uri="http://www.opencms.org/taglib/cms" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<fmt:setLocale value="${pageContext.response.locale}" />
<fmt:bundle basename="com/levsys/modules/blog/strings">
	<jsp:useBean id="blog" class="com.levsys.modules.blog.Blog"><% 
	blog.init(pageContext, request, response); 
	%></jsp:useBean>
	
	<cms:include property="template" element="head" />
	
	<%-- load the blog page config to get the location of the blog entries --%>
	<cms:contentload collector="singleFile" param="%(opencms.uri)">
		<cms:contentaccess var="pcontent" scope="page" />
	</cms:contentload>
	
	<c:set var="blogPage" scope="request"><cms:info property="opencms.request.uri" /></c:set>
	<c:set var="blogFolder" scope="request" value="${pcontent.value['BlogFolder']}" />
	<c:set var="enableComments" scope="request" value="${pcontent.value['EnableComments'].stringValue}" />
	<c:set var="entryStyle" scope="request" value="${pcontent.value['EntryStyle'].stringValue}" />
	<c:set var="itemsPerPage" scope="request" value="${pcontent.value['ItemsPerPage'].stringValue}" />
	<c:set var="displayPostedBy" scope="request" value="${pcontent.value['DisplayPostedBy'].stringValue}" />
	<c:set var="dateStyle" scope="request" value="${pcontent.value['DateStyle'].stringValue}" />
	
	<div id="blog-container">
		
		<div id="blog-content">
			<c:choose>
				<c:when test="${param.query != null || param.tag != null}">
					<cms:include file="/system/modules/com.levsys.modules.blog/pages/blog-search.jsp" />
				</c:when>
				<c:otherwise>
					<cms:include file="/system/modules/com.levsys.modules.blog/pages/blog-content.jsp" />
				</c:otherwise>
			</c:choose>
		</div>
	
	        <div id="blog-menu">
	            <ul>
            		<cms:include file="/system/modules/com.levsys.modules.blog/elements/info.jsp" />
		        <cms:include file="/system/modules/com.levsys.modules.blog/elements/search.jsp" />
			<cms:include file="/system/modules/com.levsys.modules.blog/elements/categories.jsp" />
			<li>
				<ul>
					<li><a href="<cms:link><c:out value="${blogPage}" /></cms:link>" title="View latest blog entries">Latest blog entries</a></li>
				</ul>
			</li>
			<cms:include file="/system/modules/com.levsys.modules.blog/elements/dates.jsp" />
			<cms:include file="/system/modules/com.levsys.modules.blog/elements/tags.jsp" />
			<cms:include file="/system/modules/com.levsys.modules.blog/elements/subscribe.jsp">
				<cms:param name="title" value="${pcontent.value['Title']}" />
				<cms:param name="rssFeed" value="${pcontent.value['RssFeed']}" />
				<cms:param name="atomFeed" value="${pcontent.value['AtomFeed']}" />
			</cms:include>
	            </ul>
	        </div>
	</div>
	
	<div style="clear: both;"></div>
	
	<cms:include property="template" element="foot" />
</fmt:bundle>