<%@ page session="false" %>
<%@ taglib prefix="cms" uri="http://www.opencms.org/taglib/cms" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<fmt:setLocale value="${pageContext.response.locale}" />
<fmt:bundle basename="com/levsys/modules/blog/strings">
	<%-- load the blog page config to get the location of the blog entries --%>
	<cms:contentload collector="singleFile" param="%(opencms.uri)">
		<cms:contentaccess var="pcontent" scope="page" />
	</cms:contentload>
	<h1><c:out value="${pcontent.value['Title']}" />&nbsp;-&nbsp;<fmt:message key="blog.search" /></h1>
	<h2><fmt:message key="blog.search.results.title" /></h2>
	<c:set var="searchindex"><cms:property name="search.index" file="search" /></c:set>
	<c:choose>
		<c:when test="${not empty searchindex}">
			<c:set var="q" value="${param.query}" />
			<c:if test="${param.tag != null}">
				<c:set var="q" value="${param.tag}" />
			</c:if>
			<% org.opencms.jsp.CmsJspActionElement cms = new org.opencms.jsp.CmsJspActionElement(pageContext, request, response); %>
			<jsp:useBean id="search" class="org.opencms.search.CmsSearch" scope="request">
			<jsp:setProperty name="search" property="query" value="${q}" />
			<%
				// initialize search bean:
				// - set the index by reading "search.index" property
				// - set matches per page to 5
				// - set search root(s) by reading "search.root" property
				search.init(cms.getCmsObject());
				search.setIndex(cms.property("search.index", "search"));
				search.setMatchesPerPage(10);
				String[] search_root = new String[]{cms.property("search.root", "search", "/")};
				
				// if we have the tag param then only search the tag field
				if (request.getParameter("tag") != null) {
					search.setField(new String[] {"Tag"});
				} else if (request.getParameter("category") != null) {
					search.setField(new String[] {"Category"});
				} else {
					search.setField(new String[] {"Content"});
				}
				
				search.setSearchRoots(search_root);
			%>
			</jsp:useBean>
			<c:catch var="searchError">
				<c:set var="result" value="${search.searchResult}"/>
			</c:catch>
			
			<%--<c:if test="${empty searchError}">
				<form id="search-form" action="<cms:link>${cms:vfs(pageContext).requestContext.uri}</cms:link>" method="get">
					<input type="hidden" name="searchPage" value="1" />
					<fieldset>
						<input type="text" name="query" id="query" value="<c:out value="${q}" />" />
						<input type="submit" value="<fmt:message key="blog.search.button" />" />
					</fieldset>
				</form>
			</c:if>--%>
			
			<c:if test="${empty result && empty searchError}">
				<!-- No Results -->
				<p><fmt:message key="blog.search.noresults" /> &quot;<c:out value="${q}" />&quot;</p>
			</c:if>
			
			<c:if test="${param.action != null && !empty searchError}">
				<!-- Error occurred -->
				<p><fmt:message key="blog.search.error" /> &quot;<c:out value="${q}" />&quot;</p>
			</c:if>
			
			<c:if test="${!empty result}">
				<!-- START: Result List -->
				<c:forEach var="item" items="${result}">
					<%-- display this for every looped search result --%>
					<div class="search_result">
						<a href="<cms:link>${item.path}</cms:link>"><strong><c:out value="${item.title}"/> (<c:out value="${item.score}"/>%)</strong></a><br/>
						<c:out value="${item.excerpt}" escapeXml="false"/><br />
						<small><fmt:formatDate value="${item.dateLastModified}" type="both"/></small>
					</div>
				</c:forEach>
				<!-- END: Result List -->
				
				<!-- START: Pagination -->
				<c:if test="${fn:length(search.pageLinks) > 0}">
					<div class="pagination">
						<c:choose>
							<c:when test="${!empty search.previousUrl}">
								<a href="<cms:link><c:out value='${search.previousUrl}'/></cms:link>"><fmt:message key="blog.search.previous" /></a>
							</c:when>
							<c:otherwise>
								<fmt:message key="blog.search.previous" />
							</c:otherwise>
						</c:choose>
						
						<c:forEach var="navPage" items="${search.pageLinks}" varStatus="status">		
							<c:choose>
								<c:when test="${search.searchPage == navPage.key}">
									<b><c:out value="${navPage.key}" /></b>
								</c:when>
								<c:otherwise>
									<a href="<cms:link><c:out value="${navPage.value}" /></cms:link>"><c:out value="${navPage.key}" /></a>
								</c:otherwise>
							</c:choose>
							<c:if test="${!status.last}">| </c:if>
						</c:forEach>
						
						<c:choose>
							<c:when test="${!empty search.nextUrl}">
								<a href="<cms:link><c:out value='${search.nextUrl}'/></cms:link>"><fmt:message key="blog.search.next" /></a>
							</c:when>
							<c:otherwise>
								<fmt:message key="blog.search.next" />
							</c:otherwise>
						</c:choose>
					</div>
				</c:if>
				<!-- END: Pagination -->
			</c:if>
		</c:when>
		<c:otherwise>
			<p><fmt:message key="blog.search.notconfigured" /></p>
		</c:otherwise>
	</c:choose>
</fmt:bundle>