package com.levsys.taglibs;

import java.io.IOException;
import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.tagext.BodyContent;
import javax.servlet.jsp.tagext.BodyTagSupport;

public class EncodeMailto extends BodyTagSupport
{
  private String text;
  private String title;
  private String subject;
  private String body;

  private void otherDoStartTagOperations()
  {
  }

  private void otherDoEndTagOperations()
  {
  }

  private void writeTagBodyContent(JspWriter out, BodyContent bodyContent)
    throws IOException
  {
    String bodyStr = bodyContent.getString();
    String encoded = StringUtils.encodeString(bodyStr);
    String lbody = encoded;
    if (this.text != null) {
      lbody = this.text;
    }
    String bline = "<a href=\"mailto:" + encoded;

    if ((this.subject != null) && (this.body != null))
      bline = bline + "?subject=" + StringUtils.encodeString(this.subject) + "&amp;body=" + StringUtils.encodeString(this.body);
    else if ((this.subject != null) && (this.body == null))
      bline = bline + "?subject=" + StringUtils.encodeString(this.subject);
    else if ((this.subject == null) && (this.body != null)) {
      bline = bline + "?body=" + StringUtils.encodeString(this.body);
    }

    bline = bline + "\"";
    if (this.title != null) {
      bline = bline + " title=\"" + this.title + "\"";
    }
    bline = bline + ">" + lbody + "</a>";
    out.print(bline);

    bodyContent.clearBody();
  }

  public int doStartTag()
    throws JspException, JspException
  {
    otherDoStartTagOperations();

    if (theBodyShouldBeEvaluated()) {
      return 2;
    }
    return 0;
  }

  public int doEndTag()
    throws JspException, JspException
  {
    otherDoEndTagOperations();

    if (shouldEvaluateRestOfPageAfterEndTag()) {
      return 6;
    }
    return 5;
  }

  public int doAfterBody()
    throws JspException
  {
    try
    {
      BodyContent bc = getBodyContent();
      JspWriter out = bc.getEnclosingWriter();

      writeTagBodyContent(out, bc);
    } catch (Exception ex) {
      handleBodyContentException(ex);
    }

    if (theBodyShouldBeEvaluatedAgain()) {
      return 2;
    }
    return 0;
  }

  private void handleBodyContentException(Exception ex)
    throws JspException
  {
    throw new JspException("error in NewTag: " + ex);
  }

  private boolean shouldEvaluateRestOfPageAfterEndTag()
  {
    return true;
  }

  private boolean theBodyShouldBeEvaluatedAgain()
  {
    return false;
  }

  private boolean theBodyShouldBeEvaluated()
  {
    return true;
  }

  public void setText(String text)
  {
    this.text = text;
  }

  public void setTitle(String title)
  {
    this.title = title;
  }

  public void setSubject(String subject)
  {
    this.subject = subject;
  }

  public void setBody(String body)
  {
    this.body = body;
  }
}