package com.levsys.taglibs;

import java.util.List;
import org.opencms.file.CmsObject;
import org.opencms.file.CmsResource;
import org.opencms.file.CmsResourceFilter;
import org.opencms.file.CmsUser;
import org.opencms.main.CmsException;

public class OpenCmsUtils
{
  public static List readResources(CmsObject cms, String uri, int typeid)
    throws CmsException
  {
    CmsResourceFilter filter = CmsResourceFilter.DEFAULT.addRequireType(typeid).addExcludeFlags(1024);

    return cms.readResources(uri, filter, false);
  }

  public static CmsUser userLastModified(CmsObject cms, CmsResource currentResource)
    throws CmsException
  {
    return cms.readUser(currentResource.getUserLastModified());
  }

  public static CmsUser userCreated(CmsObject cms, CmsResource currentResource)
    throws CmsException
  {
    return cms.readUser(currentResource.getUserCreated());
  }
}